Potlatch 0.4 (hopefully)
[rails.git] / README
diff --git a/README b/README
index 280e798fbf4699296f4eaeae2d52d123ed3193e8..b28b918fb489adbb431eb1e9d89b7e3cfa1103fa 100644 (file)
--- a/README
+++ b/README
@@ -5,7 +5,9 @@ INSTALL
 
 * make your db (see db/README)
 
 
 * make your db (see db/README)
 
-* install ruby libxml bindings (FIXME: example apt-get lines etc for the weak)
+* install ruby libxml bindings:
+
+   # sudo aptitude install libxml-ruby1.8 libxml-parser-ruby1.8
 
 * make sure you have a MTA listening on localhost:25 if you want mail
 
 
 * make sure you have a MTA listening on localhost:25 if you want mail
 
@@ -13,6 +15,13 @@ INSTALL
 
 * thats it
 
 
 * thats it
 
+API CHANGES FOR EDITOR AUTHORS
+==============================
+
+See
+
+http://wiki.openstreetmap.org/index.php/REST#Changes_in_the_upcoming_0.4_API
+
 HACKING
 =======
 
 HACKING
 =======
 
@@ -25,3 +34,6 @@ you want to play with the API (probably at localhost:3000/api/0.4/node/create et
 Lots of tests are needed to test the API.
 
 Lots of little things to make the site work like the old one.
 Lots of tests are needed to test the API.
 
 Lots of little things to make the site work like the old one.
+
+Also see the 'rails_port' component for bugs:
+http://trac.openstreetmap.org/query?status=new&status=assigned&status=reopened&component=rails_port&order=priority